import { GeoJson, MapState, Point } from 'pigeon-maps';
import React from 'react';

const LiveOverlay: React.FC<{
  mapState: any;
  latLngToPixel: any;
  track: any;
}> = (props: {
  mapState: MapState;
  latLngToPixel:
    | ((
        latLng: Point,
        center?: Point | undefined,
        zoom?: number | undefined
      ) => Point)
    | undefined;
  track: any;
}) => {

    

  return (
    <GeoJson
      data={{
        type: 'FeatureCollection',
        features: [props.track],
      }}
      mapState={props.mapState}
      latLngToPixel={props.latLngToPixel}
    />
  );
};

export default LiveOverlay;
